%define modname braille
%define soname %{modname}.so
%define inifile A65_%{modname}.ini

Summary:	Functions to control a braille display (and keyboard), based on libbraille
Name:		php-%{modname}
Version:	0.1.1
Release:	%mkrel 4.1
Group:		Development/PHP
License:	PHP License
URL:		http://braille.php-baustelle.de/trac/
Source0:	http://braille.php-baustelle.de/downloads/Releases/%{modname}-%{version}.tgz
Patch0:		braille-0.1.1-php54x.diff
BuildRequires:	php-devel >= 5.2.0
BuildRequires:	file
BuildRequires:	libbraille-devel

%description
Functions to control a braille display (and keyboard), based on libbraille.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc CREDITS EXPERIMENTAL package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Jan 19 2017 adrianomorselli <adrianomorselli> 0.1.1-4.1uplos2017
- rebuild

* Mon Dec 12 2016 tex - 0.1.1-4.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 0.1.1-4pclos2016
- update

* Sun Mar 13 2016 bb <bb> 0.1.1-3pclos2016
- rebuild
